﻿using Electric.Core;
using Electric.Domain.Entities.Commons;

using System.Security.Claims;

namespace Electric.Domain.Entities.Identity
{
    public class EleRoleClaim : Entity<Guid>
    {
        /// <summary>
        /// 角色Id
        /// </summary>
        public Guid RoleId { get; protected set; }

        /// <summary>
        /// 声明类型
        /// </summary>
        public string ClaimType { get; protected set; }

        /// <summary>
        /// 类型值
        /// </summary>
        public string ClaimValue { get; protected set; }

#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        protected EleRoleClaim()
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        { }

        public EleRoleClaim(Guid id, Guid roleId, Claim claim) : base(id)
        {
            Check.NotNull(claim, nameof(claim));

            RoleId = roleId;
            ClaimType = claim.Type;
            ClaimValue = claim.Value;
        }

        public void SetClaimValue(string claimValue)
        {
            if (claimValue == null)
            {
                throw new ArgumentNullException(nameof(claimValue));
            }

            ClaimValue = claimValue;
        }
    }
}