﻿using Electric.Core;
using Electric.Domain.Entities.Commons;

using System.Security.Claims;

namespace Electric.Domain.Entities.Identity
{
    public class EleUserClaim : Entity<Guid>
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public Guid UserId { get; protected set; }

        /// <summary>
        /// 声明类型
        /// </summary>
        public string ClaimType { get; protected set; }

        /// <summary>
        /// 声明类型的值
        /// </summary>
        public string ClaimValue { get; protected set; }

#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        protected EleUserClaim()
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        {
        }

        public EleUserClaim(Guid id, Guid userId, Claim claim) : base(id)
        {
            Check.NotNull(claim, nameof(claim));

            UserId = userId;
            ClaimType = claim.Type;
            ClaimValue = claim.Value;
        }

        public void SetClaimValue(string claimValue)
        {
            Check.NotNull(claimValue, nameof(claimValue));

            ClaimValue = claimValue;
        }
    }
}