﻿using Electric.Core;
using Electric.Domain.Entities.Commons;

using Microsoft.AspNetCore.Identity;

namespace Electric.Domain.Entities.Identity
{
    public class EleUserLogin : Entity
    {
        /// <summary>
        /// 登录提供程序
        /// </summary>
        public string LoginProvider { get; protected set; }

        /// <summary>
        /// ProviderKey
        /// </summary>
        public string ProviderKey { get; protected set; }

        /// <summary>
        /// 提供程序显示名称
        /// </summary>
        public string ProviderDisplayName { get; protected set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        public Guid UserId { get; protected set; }

#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        protected EleUserLogin()
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        {
        }

        public EleUserLogin(string loginProvider, string providerKey, string providerDisplayName, Guid userId)
        {
            Check.NotNull(loginProvider, nameof(loginProvider));
            Check.NotNull(providerKey, nameof(providerKey));
            Check.NotNull(providerDisplayName, nameof(providerDisplayName));

            LoginProvider = loginProvider;
            ProviderKey = providerKey;
            ProviderDisplayName = providerDisplayName;
            UserId = userId;
        }

#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        public EleUserLogin(UserLoginInfo login, Guid userId)
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        {
            Check.NotNull(login, nameof(login));

            LoginProvider = login.LoginProvider;
            ProviderKey = login.ProviderKey;
            ProviderDisplayName = login.ProviderDisplayName;
            UserId = userId;
        }
    }
}