﻿using Electric.Core;
using Electric.Domain.Entities.Commons;

namespace Electric.Domain.Entities.Identity
{
    /// <summary>
    /// 用户凭证
    /// </summary>
    public class EleUserToken : Entity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public Guid UserId { get; protected set; }

        /// <summary>
        /// 登录提供程序
        /// </summary>
        public string LoginProvider { get; protected set; }

        /// <summary>
        /// token名称
        /// </summary>
        public string Name { get; protected set; }

        /// <summary>
        /// token值
        /// </summary>
        public string Value { get; protected set; }

#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        protected EleUserToken()
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        {
        }

        public EleUserToken(Guid userId, string loginProvider, string name, string value)
        {
            Check.NotNull(loginProvider, nameof(loginProvider));
            Check.NotNull(name, nameof(name));
            Check.NotNull(value, nameof(value));

            UserId = userId;
            LoginProvider = loginProvider;
            Name = name;
            Value = value;
        }

        public void SetValue(string value)
        {
            Check.NotNull(value, nameof(value));

            Value = value;
        }
    }
}