﻿using Electric.Domain.Entities.Identity;

using Microsoft.AspNetCore.Identity;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;

namespace Electric.Domain.Manager.Identity
{
    /// <summary>
    /// 用户管理器
    /// </summary>
    public class UserManager : UserManager<EleUser>, IDomainService
    {
        private UserStore _userStore;

        /// <summary>
        /// 用户管理器
        /// </summary>
        /// <param name="store"></param>
        /// <param name="optionsAccessor"></param>
        /// <param name="passwordHasher"></param>
        /// <param name="userValidators"></param>
        /// <param name="passwordValidators"></param>
        /// <param name="keyNormalizer"></param>
        /// <param name="errors"></param>
        /// <param name="services"></param>
        /// <param name="logger"></param>
        public UserManager(UserStore store,
            IOptions<IdentityOptions> optionsAccessor,
            IPasswordHasher<EleUser> passwordHasher,
            IEnumerable<IUserValidator<EleUser>> userValidators,
            IEnumerable<IPasswordValidator<EleUser>> passwordValidators,
            ILookupNormalizer keyNormalizer,
            IdentityErrorDescriber errors,
            IServiceProvider services,
            ILogger<UserManager<EleUser>> logger
            ) :
            base(store, optionsAccessor, passwordHasher, userValidators, passwordValidators, keyNormalizer, errors, services, logger)
        {
            _userStore = store;
        }
    }
}