﻿using Electric.Domain.Entities.Identity;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Electric.Domain.Repositories.Identity
{
    public interface IRoleRepository : IBasicRepository<EleRole, Guid>
    {
        /// <summary>
        /// 根据角色名称获取角色
        /// </summary>
        /// <param name="roleName"></param>
        /// <param name="includeDetails"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<EleRole> FindByNameAsync(string roleName, bool includeDetails = true, CancellationToken cancellationToken = default);
    }
}