using Electric.Domain.DependencyInjection;
using Electric.Application.DependencyInjection;
using Electric.Application.Helpers;
using Electric.Application.Auth;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();

builder.Services.AddDomain();

builder.Services.AddSingleton(new AppSettingsHelper());

#region JWTע

var jwtBearer = new JwtBearerSetting(
AppSettingsHelper.ReadString("JWTSettings:ValidIssuer"),
AppSettingsHelper.ReadString("JWTSettings:ValidAudience"),
AppSettingsHelper.ReadString("JWTSettings:IssuerSigningKey"));

builder.Services.AddJWT(jwtBearer);

#endregion JWTע

builder.Services.AddSwaggerGen();

builder.Services.AddApplication();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();